-- import the Java class objects we need in ooRexx, this time
-- we want to access the Java class objects via ooRexx (proxy)
-- class objects (which get a dot prepended to the class name)
call bsf.import "org.apache.log4j.Logger", "Logger"
call bsf.import "org.apache.log4j.Level",  "Level"

   -- get a logger instance named "com.foo"
   logger = .Logger~getLogger("com.foo")

   -- Now set its level. Normally you do not need to set the
   -- level of a logger programmatically. This is usually done
   -- in configuration files.
   logger~setLevel(.Level~INFO)
   -- can also be stated as an ooRexx attribute assignment:
   logger~level=.level~info

   barlogger = .Logger~getLogger("com.foo.Bar")

   -- This request is enabled, because WARN >= INFO.
   logger~warn("Low fuel level.");

   -- This request is disabled, because DEBUG < INFO.
   logger~debug("Starting search for nearest gas station.");

   -- The logger instance barlogger, named "com.foo.Bar",
   -- will inherit its level from the logger named
   -- "com.foo" Thus, the following request is enabled
   -- because INFO >= INFO.
   barlogger~info("Located nearest gas station.");

   -- This request is disabled, because DEBUG < INFO.
   barlogger~debug("Exiting gas station search");


::requires bsf.cls      /* get the BSF support     */
